#ifndef INC_GTK_KNOB_H
#define INC_GTK_KNOB_H

#include <gtk/gtkwidget.h>

#ifdef __cplusplus
extern "C" {
#endif				/* __cplusplus */
#define GTK_TYPE_KNOB          (gtk_knob_get_type ())
#define GTK_KNOB(obj)          (GTK_CHECK_CAST ((obj), GTK_TYPE_KNOB, GtkKnob))
#define GTK_KNOB_CLASS(klass)  (GTK_CHECK_CLASS_CAST ((klass), GTK_TYPE_KNOB, GtkKnobClass))
#define GTK_IS_KNOB(obj)       (GTK_CHECK_TYPE (obj, GTK_TYPE_KNOB))
typedef struct _GtkKnob GtkKnob;
typedef struct _GtkKnobClass GtkKnobClass;

struct _GtkKnob {
    GtkWidget widget;
    GdkPixmap *pixmap;
    guint8 button;
    gint16 x_click_point;
    gint16 y_click_point;

    gint value;
    gint old_value;

    GtkAdjustment *adjustment;
};

struct _GtkKnobClass {
    GtkWidgetClass parent_class;
};

guint gtk_knob_get_type(void);
GtkWidget *gtk_knob_new(GtkAdjustment * adj);

/* XPM */
static char * knob_xpm[] = {
"1674 30 17 1",
" 	c None",
".	c #1E1E1E",
"+	c #5C5C5C",
"@	c #7C7C7C",
"#	c #A1A1A1",
"$	c #BCBCBC",
"%	c #C8C8C8",
"&	c #E9E9E9",
"*	c #FEFEFE",
"=	c #2F2F2F",
"-	c #383838",
";	c #D9D9D9",
">	c #4C4C4C",
",	c #F9F9F9",
"'	c #6C6C6C",
")	c #8D8D8D",
"!	c #B0B0B0",
"&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&;&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&)!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*&&&&&&&&&&&&&&##&&&&&&&&&&&&&&*&&&&&&&&&&&&&&#!&&&&&&&&&&&&&&*",
"&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&')&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&;&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&,&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&,&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&,&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&;&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&,&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&;&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*&&&&&&&&&&&&&&'@&&&&&&&&&&&&&&*",
"&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@&&&&&&'@&&&&&&!!&&&&&&*&&&&&&$);&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@&&&&&&')&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@&&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&;!!&&&&&&*&&&&&&$@;&&&&&')&&&&&&!!&&&&&&*&&&&&&$);&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$);&&&&&'@&&&&&&!!&&&&&&*&&&&&&$);&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$);&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$);&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&')&&&&&;!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&$!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&,&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@&&&&&&'@&&&&&&!!&&&&&&*&&&&&&$);&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@&&&&&&')&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@&&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@&&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&$#&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$)&&&&&&')&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$)&&&&&&')&&&&&&!!&&&&&&*&&&&&&$@&&&&&&')&&&&&&!!&&&&&&*&&&&&&$@&&&&&&'@&&&&&&!!&&&&&&*&&&&&&$);&&&;&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&&!!&&&&&&*&&&&&&$@;&&&&&'@&&&&&;!!&&&&&&*&&&&&&$@&&&&&&'@&&&&&&!!&&&&&&*",
"&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&!=#&&&&&)#&&&&&;>@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-'&&&&&&*&&&&&&$-#&&&&&))&&&&&;-'&&&&&&*&&&&&&$=#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&!-#&&&&&))&&&&&;>@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-'&&&&&&*&&&&&&$-#&&&&&))&&&&&;-'&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&!-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$=#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-'&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-'&&&&&&*&&&&&&$=#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&!-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$=#&&&&&))&&&&&%-@&&&&&&*&&&&&&$=#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$=#&&&&&))&&&&&;-'&&&&&&*&&&&&&$=#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&!-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$=#&&&&&))&&&&&;-@&&&&&&*&&&&&&!-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$=#&&&&&))&&&&&;-'&&&&&&*&&&&&&$=#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;>@&&&&&&*&&&&&&!=#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&))&&&&&;-'&&&&&&*&&&&&&$=#&&&&&))&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&!=#&&&&&))&,&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-@&&&&&&*&&&&&&$-#&&&&&)#&&&&&;-'&&&&&&*",
"&&&&&&&@-;&&&&&&&&&&&)=%&&&&&&*&&&&&&&@>;&&&&&&&&&&&@-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)=%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&,@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&,&*&&&&&&&@>;&&&&&&&&&&&)=%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)=;&&&&&&*&&&&&&;@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&,&*&&&&&&&@>;&&&&&&&&&&&)=%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)=;&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;,&&&&&&&&&&)-%&&&&,&*&&&&&&&@-;&&&&&&&&&&&)=%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-;&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&,&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)=;&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&,&*&&&&&&&@>;&&&&&&&&&&&)=;&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&,@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&,&*&&&&&&&@-;&&&&&&&&&&&)=%&&&&&&*&&&&&&&@>;&&&&&&,&&&&)-%&&&&&&*&&&&&&&@-;&&&&&&&&&&&)=%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&&@>;&&&&&&&&&&&)-%&&&&&&*&&&&&&,@>;&&&&&&&&&&&)-%&&&&&&*",
"&&&&&&&;@$$@>>++-+@;;+)&&&&&&&*&&&&&&&;'$%@>>++-+@;;+)&&&&&&&*&&&&&&&;@$%@>-+>-+@;;+)&&&&&&&*&&&&&&&;@$%@>>+>-+@;;+)&&&&&&&*&&&&&&&;@$%@>>+>>+@;;+)&&&&&&&*&&&&&&&;@$%@>>++>+@;;+)&&&&&&&*&&&&&&&;@$$@>>++>+@%;+)&&&&&&&*&&&&&&&;'$$@>>>+-+@;;+)&&&&&&&*&&&&&&&;'$%@>-++-+@;;+)&&&&&&&*&&&&&&&;'$%@>>>+-+);;+)&&&&&&&*&&&&&&&;@$%@>-+>>+@;;+)&&&&&&&*&&&&&&&;'$%@>>++-+@;;+)&&&&&&&*&&&&&&&;'$%@>>+>>+@;;+#&&&&&&&*&&&&&&&;'$$@>>++>+@;;+)&&&&&&&*&&&&&&&;@$%@>>++>+)%;+)&&&&&&&*&&&&&&&;'$%@+>++-+@;;+)&&&&&&&*&&&&&&&;'$$@++++>+@;;+)&&&&&&&*&&&&&&&;'$%@+'++>+);;+)&&&&&&&*&&&&&&&;@$$@++'+>+@;;+)&&&&&&&*&&&&&&&;'$$@''''++@;;+)&&&&&&&*&&&&&&&;'$$@+@@'++@;;+)&&&&&&&*&&&&&&&;'%$)+@@@++@;;+)&&&&&&&*&&&&&&&;'$%@+@@@'+@;;+)&&&&&&&*&&&&&&&;@$%@>+@@''@;;+)&&&&&&&*&&&&&&&;@$$@>-@@''@;;+)&&&&&&&*&&&&&&&;@%$@>->@''@;;+)&&&&&&&*&&&&&&&;@$%@>-->''@;;+)&&&&&&&*&&&&&&&;@$%@++---'@;;+)&&&&&&&*&&&&&&&;'$%@+++--+@;;+)&&&&&&&*&&&&&&&;'$$@++@+-+@;;+)&&&&&&&*&&&&&&&;'$$@>+@@>+@;;+)&&&&&&&*&&&&&&&;'$$@>+''''@;;+)&&&&&&&*&&&&&&&;'$$@>++'+'@;;+)&&&&&&&*&&&&&&&;@$%@+++++'@;;+)&&&&&&&*&&&&&&&;@$%@++'+++@;;+)&&&&&&&*&&&&&&&;@$%@>>++>+@;;+)&&&&&&&*&&&&&&&;'$%@>>++++@;;+)&&&&&&&*&&&&&&&;@$%@>>++++@;;+)&&&&&&&*&&&&&&&;'$$@>>++>+@;;+)&&&&&&&*&&&&&&&;'$$@>>++>+);;+)&&&&&&&*&&&&&&&;@$$@>>++>+@;;+)&&&&&&&*&&&&&&&;'$%@>>++>+@;;+)&&&&&&&*&&&&&&&;'$%@>-+>>+@;;+)&&&&&&&*&&&&&&&;@$%@>>++>+@;;+)&&&&&&&*&&&&&&&;'$%@>-+>>+@;;+)&&&&&&&*&&&&&&&;@$%@>>+>>+@;;+)&&&&&&&*&&&&&&&;@$$@>-++-+@;;')&&&&&&&*&&&&&&&;'$$@>>>+-+@;;+)&&&&&&&*&&&&&&&;@$$@>>++-+@;;+)&&&&&&&*&&&&&&&;'$%@>>>+-+@;;')&&&&&&&*&&&&&&&;@$%@>-+>-+@;;+)&&&&&&&*&&&&&&&;@$%@>>+>-+@;;+)&&&&&&&*&&&&&&&;@$%@>>+>>+@;;+#&&&&&&&*&&&&&&&;@$%@>>++>+@;;+)&&&&&&&*",
"&&&&&&&&;'=+#$%%!@>-@%;&&&&&&&*&&&&&&&&;'.+)$%%!@>-@%;&&&&&&&*&&&&&&&&;'.+)$%%!@>=@%;&&&&&&&*&&&&&&&&;'.+)$%%!)-=@$;&&&&&&&*&&&&&&&&;'.+)$;%!@>-@%;&&&&&&&*&&&&&&&&;'.+)$%%!)>=@%;&&&&&&&*&&&&&&&&;'.+)!%%!)>-@%;&&&&&&&*&&&&&&&&;'=+)$%%!@>=@%;&&&&&&&*&&&&&&&&;'=+)!%%!@>-@%;&&&&&&&*&&&&&&&&;'=+)$%%#)>=@%;&&&&&&&*&&&&&&&&;'=+#$%%#@>=@%;&&&&&&&*&&&&&&&&;'='#$%$#)>-@%;&&&&&&&*&&&&&&&&;'-'#$;%#@>=@%;&&&&&&&*&&&&&&&&;'-'#$%%!)>-@%;&&&&&&&*&&&&&&&&;'-'#$;%!@>-@%;&&&&&&&*&&&&&&&&;@-@!%;%!@>=@%;&&&&&&&*&&&&&&&&;@>@$;;%$)>-@%;&&&&&&&*&&&&&&&&;@>)$;;;$)>=@%;&&&&&&&*&&&&&&&&;@+)%;;;$)>-@%;&&&&&&&*&&&&&&&&;@+)%;&;%)>=@$;&&&&&&&*&&&&&&&&;'>)%;&;%#+-@%;&&&&&&&*&&&&&&&&;'.>;&&&%#+-@%;&&&&&&&*&&&&&&&&;'..@&&;%#+-@%;&&&&&&&*&&&&&&&&;'...!&&;!'-@%;&&&&&&&*&&&&&&&&;'-...%&;$'-@%;&&&&&&&*&&&&&&&&;'>@=.>;;$'>@%;&&&&&&&*&&&&&&&&;'-)).=+;$@>@$;&&&&&&&*&&&&&&&&;'-@$!..+$@>)%;&&&&&&&*&&&&&&&&;'-'!&#..-@+@%;&&&&&&&*&&&&&&&&;'-'!;&)..=+@%;&&&&&&&*&&&&&&&&;'-'!;&;+..-@%;&&&&&&&*&&&&&&&&;'='!;;;%-.=@%;&&&&&&&*&&&&&&&&;'='!%;;%!==@%;&&&&&&&*&&&&&&&&;'='!;;;%!'=@%;&&&&&&&*&&&&&&&&;'='#%;;%#'>@%;&&&&&&&*&&&&&&&&;'='#%;;%#+>@$;&&&&&&&*&&&&&&&&;'='#$;;$)+-@%;&&&&&&&*&&&&&&&&;'.+#$;;$#+-@%;&&&&&&&*&&&&&&&&;'=+)$;%$)+-@%;&&&&&&&*&&&&&&&&;'=+)$;;$)+-@%;&&&&&&&*&&&&&&&&;'=+#$;%$)+-@%;&&&&&&&*&&&&&&&&;'=+)$%;$)+-)%;&&&&&&&*&&&&&&&&;'=+)$%%!)+-@%;&&&&&&&*&&&&&&&&;'.+)$%%!)>-@%;&&&&&&&*&&&&&&&&;'=+)!%%!)>-@%;&&&&&&&*&&&&&&&&;'.+)$%%#)>-@%;&&&&&&&*&&&&&&&&;'=+)!%%!)>-@%;&&&&&&&*&&&&&&&&;'=+)$%%!@>=@%;&&&&&&&*&&&&&&&&;'=+#$%%!@>-@%;&&&&&&&*&&&&&&&&;'.+)$%%!@>=@%;&&&&&&&*&&&&&&&&;'=+)$%%!@>=@%;&&&&&&&*&&&&&&&&;'.+)$%%!)-=@$;&&&&&&&*&&&&&&&&;'.+)!;%!@>-@%;&&&&&&&*&&&&&&&&;'.+)$%%!)>=@%;&&&&&&&*",
"&&&&&&&#=>%***,,&&;)=>;&&&&&&&*&&&&&&&#=-$,**,,&&;#=>;&&&&&&&*&&&&&&&#=-$,***,&&;)=>;&&&&&&&*&&&&&&&#=-$,***,&&;)->;&&&&&&&*&&&&&&&#=>$,**,,&&;)=>;&&&&&&&*&&&&&&&#=>$,**,,&&;#=>;&&&&&&&*&&&&&&&#=-$,**,,&&;#->;&&&&&&&*&&&&&&&#=>$,**,,&&;)->;&&&&&&&*&&&&&&&#->$,,*,,&&;)=>;&&&&&&&*&&&&&&&#-+%,**,,&&;#=>;&&&&&&&*&&&&&&&#-+%,**,,&&;#=>;&&&&&&&*&&&&&&&#=';,***,&&;#=>;&&&&&&&*&&&&&&&#=';,**,,&&;)=>;&&&&&&&*&&&&&&&#-@;***,,&&;)->;&&&&&&&*&&&&&&&#-@;*,**,&&;)=>;&&&&&&&*&&&&&&&#=)&***,,&&;)->;&&&&&&&*&&&&&&&#-)&*,*,,&&;)->;&&&&&&&*&&&&&&&#-),***,,&&;#=>;&&&&&&&*&&&&&&&#=)**,*,,,&;#=>;&&&&&&&*&&&&&&&#=.;**,*,&&;#=>;&&&&&&&*&&&&&&&#=.+****,&&;#=>;&&&&&&&*&&&&&&&#=..#,*,,,&;#->;&&&&&&&*&&&&&&&#--.+;**,,&;!->;&&&&&&&*&&&&&&&#=@'+#,*,&&;!->;&&&&&&&*&&&&&&&#-@&##%*,&&;!>>;&&&&&&&*&&&&&&&#-'&*$$;,,&&$>>;&&&&&&&*&&&&&&&#-';**%;;,&;$+>;&&&&&&&*&&&&&&&#=';**,%;;&;$+>;&&&&&&&*&&&&&&&#=+;***&%$%&$'>;&&&&&&&*&&&&&&&#=';****%$)$%'>;&&&&&&&*&&&&&&&#-+;****,$@+)'>;&&&&&&&*&&&&&&&#=+;****,&)-.>+%&&&&&&&*&&&&&&&#=+%****,,;>..>;&&&&&&&*&&&&&&&#=+;****,,&!..>;&&&&&&&*&&&&&&&#->%****,,&&@.>;&&&&&&&*&&&&&&&#=-%****,,&;$>>;&&&&&&&*&&&&&&&#.>%,***,&&;$++;&&&&&&&*&&&&&&&#=-$****,,&;!>>;&&&&&&&*&&&&&&&#=>$,***,,&;!>+;&&&&&&&*&&&&&&&#=>$,***,&&;!>+;&&&&&&&*&&&&&&&#=>%,,**,&&;!>>;&&&&&&&*&&&&&&&#=>$,**,,&&;!->;&&&&&&&*&&&&&&&#->%,***,&&;!->;&&&&&&&*&&&&&&&#=-$,**,,&&;!-+;&&&&&&&*&&&&&&&#=>%,**,,&&;#-+;&&&&&&&*&&&&&&&#=>$,**,,&&;#->;&&&&&&&*&&&&&&&#=>%****,&&;#->;&&&&&&&*&&&&&&&#.>$,**,,&&;#->;&&&&&&&*&&&&&&&#.>%***,,&&;)->;&&&&&&&*&&&&&&&#=>$,**,,&&;#=>;&&&&&&&*&&&&&&&#=-$,***,&&;)=>;&&&&&&&*&&&&&&&#=-$,***,&&;)->;&&&&&&&*&&&&&&&#=>$,**,,&&;)=>;&&&&&&&*&&&&&&&#=-$,**,,&&;#=>;&&&&&&&*",
"&@'$&&%.@,***%##$%;;$->;&&&$!&*&@'$&&%.',***$!)!;&;$->;&&&$!&*&@'$&&%.',***%!#$;&;$->;&&&$!&*&@'$&&%.@,***$##$;&;$->;&&&$!&,&@'$&&%.',***%!#$;&;$->;&&&$!&,&@'$&&%.@***,$##$;&;$->;&&&$!&*&@'$&&%.@,*,*%##$;&&$->;&&&$!&*&@'$&&%.)**,*$))!;&;$->;&&&$!&*&@'$&&$.)****%##!;&;$->;&&&!!&*&@'$&&%.)***,$)#!;&;$->;&&&$!&*&@'$&;%.#****$))!;&;$->;&&&$!&*&@'$&&$.#****$##!%;&$->;&&&$!&,&@'$&&%.#*,*,$#)!;&;$->;&&&!!&,&@'$&&$=#***;$#)#%;;$->;&&&$!&*&@'$&&$=#***&$#)#%;;$->;&&&$!&*&@'$&&$-$***&!#)#%;&$->;&&&$!&*&@'%&&%=$***&!#)#;&&$->;&&&!!&*&@'$&&%.'***&!#)!%;;$->;&&&$$&*&@'$&&$..%**;!#)#$;;$->;&&&$!&*&@'$&&$..-&*%####%;;$->;&&&$!&,&@'$&&%..-$*%!)##$&&$->;&&&$!&,&@'$&&%.)+!**!))#$&;$->;&&&$!&*&@'$&&$=#,!,*;))#$;&$->;&&&$!&*&@'$&&%=#**&*,))#$;;$+>;&&&$!&*&@'$&&%.)***,*;)#$;;%+>;&&&$!&*&@'$&&%.)***;&*$)!;&%+>;&&&$!&*&@'$&&$.)***&$&&#!;;%'>;&&&!!&,&@'$&&%.)***&!$&$!;;;'>;&&&$!&,&@'$&&$.),**&$#$&$;&;'>;&&&$!&,&@'$&&%.)**,&$#!%;&&;@+;&&&$!&*&@'$&&%.)***&!!)!;&&;@+;&&&$!&*&@'$&&%.)***,$##)$;$;@>;&&&$!&*&@'$&&$.)***&!###$$)@'+;&&&$!&*&@'$&&$.)*,*,!###$%@..+;&&&$!&*&@'$&&%.@***,$#)#$;#..>;&&&$!&,&@'$&&$.',**,$##!$;;+.>;&&&$!&,&@'$&&$.'&**,$#)!$;&$=>;&&&$!&,&@'$&&%.@,,**$#)!%;&;'>;&&&$!&*&@'$&&%.@,***$#)!%&&%'+;&&&$!&*&@'$&&$.@,***$#)!%&&%'+;&&&$!&*&@'%&&$.@,***$##!%&&%++;&&&$!&*&@'$&&$.@,***$#)#;&&$++;&&&$!&*&@'$&&$=@****$#)#;&;%+>;&&&$!&,&@'$&&%.@,**,$#)#;&&$+>;&&&$!&,&@'$&&%.@,***%#)!;&&%+>;&&&$!&,&@'$&&%.',*,*$)#!;&&%+>;&&&$!&*&@'$&&%.@****%##!;&;$>>;&&&$!&*&@'$&&%.',***$##!;&;$>>;&&&$!&*&@'$&&$.',*,*$##!;&;$->;&&&$!&*&@'$&&%.',***$)#$;&;$->;&&&$!&*&@'$&&%.',***%##$;&;$->;&&&$!&,&@'$&&%.@&***$)#!;&&$->;&&&$!&,&@'$&&$.',***%##!;&&$->;&&&$!&,&@'$&&$.@,***$)#!;&;$->;&&&$!&*",
"&$+=);>+***$)$;%!''#!!='&%'-@&*&$+=);>+***$)$$;!@'#!#='&%'-@&*&$+=#;>+***$)$%$$@@#$!-'&%'-@&*&$+=);>+***$)!%$!@'#$!='&%'-@&*&$+=);>+**,$)!%%!@@#$#-'&%'-@&*&$+=);>'*,*$)!$$!@@#!!-'&%'-@&*&$+=);>'***$)!%$#@@#$!='&%'-@&*&$+=)%>@,**$)!%%#'@#$!-'&%'-@&,&$+=);+)***$)!%$#@@!$!-'&%'>@&*&$+-);+)***$)!%%#''#$!='&%'-@&*&$+=);+),**$)!%$#''#$!='&%'-@&*&$+-);+#**,$@#%$)''#$$='&%'-@&*&$+=);+#***$))$!)''#$$='&%'>@&*&$+=);+#**,#@@#$#+'#$!-'&%'-@&*&$+=);+#**,#@@)$#+'#$!-'&%'-@&*&$+=);>)**,#)))))''#$$='&%'-@&*&$+=);>=&*,#)))))''#$!='&%'-@&*&$+=);>.+*,#))))'+'#$!='&%'-@&*&$+=);>.-&*###))'>'#$$-'&%'-@&*&$+=);++>;*&)#))'>'#$!-'&%'-@&*&$+=);+#%;**!!))'>+#$!='&%'-@&*&$+=);>#****,##)@++#$!-'&%'-@&*&$+=);>)**,**;##@+'#$$='&%'-@&*&$+=);>@,,*%&;##@+'#$$-'&%'-@&*&$+=);>@**,##$!#@++#$%-'&%'-@&*&$+=);>@***!@@##)''#%%>'&%'-@&*&$+=);>@,**$@'@!)+'#%%>'&%'-@&*&$+=);>@***!@@+@)@'#%%>'&%'-@&*&$+=);>@,**!@)'+#)')%;+'&%'-@&*&$+=);>@*,*!@@@+')'#;;+'&%'>@&,&$+=);>'***!'@@@+))!;;''&%'-@&*&$+-);>+***$@'@'+@!%&;''&%'-@&*&$+=);>+,**!'''@''#$&;@'&%'-@&*&$+=);>+***$@''''+@$$$@'&%'-@&*&$+=);>+**,$@+''++@!)-+'&%'-@&*&!+=);>+*,*$'+++++@!#..'&$'-@&*&$+=);>+***!@'++++'#!..'&%'-@&*&$+=);>+,**$@@+++>@#;@.'&$'-@&,&$+=);>+*,*$))'+>+'!;;>'&%'-@&*&$+-);>>***$@))>>>@#;%+@&%'-@&*&$+=);>+**,$@)#'>+@#;%+'&%'>@&*&$+=);>+***$@)#)>+@#;%>'&%'-@&,&$+=);>+***$))##>>@!;%>'&%'-@&*&!+=);>+***!))##@>@!;%>'&%'-@&*&$+=);>+***!@)##@+@!;%>'&$'-@&*&$+=);>+*,*$))#))+@!;%>'&%'-@&,&$+=);>+**,!)#)#'+@!;%-'&%'>@&*&$+-);>+***!@##))+@!%%-'&%'-@&*&$+=);>+***$#!%#)+@!%%-'&%'-@&*&$+=);>+***!)!%#@'@!%$='&%'-@&*&$+=);>+***$)$%$)+@!$!-'&%'-@&*&!+=);>>***$#$%!@+@!$$-'&%'-@&*&$+=);>+***$#$%%#+@#$!-'&%'-@&*&$+=);>+***$#$$$#+@#$!='&%'-@&*",
"&&;##)=&,*!$****,*$+'@'.$'>$&&*&&;#))=&**$$,***,*$+'@'.%'+!&&,&&;#))=&**$%****,*$+'@'.$'+!&&,&&;)#)=&**$$*,****$+'@'.%'+!&&*&&;##)=&**!$***,**$+'@'.%'+!&&*&&;#))-,**!$******$+'@'.%'+!&&*&&;#))-,**)!******$+'@'.$'+!&&*&&;##)-,**)!*,****$+'@'.$'+!&&*&&;#))+**,))******!+'@'.%'>!&&*&&;##)>**,))&*****!+'@'.%'+!&&,&&;#))+,*,)#$***,*!+'@'.$'+!&&,&&;#))'**,)#!&***,!+'@'.%'+!&&*&&;#))'**,)#!%****#+'@'.%'+!&&*&&;#))'*,*##!$,***#+')'.$'+!&&*&&;#))-**,#!$$;**&)+'@'.$'+!&&*&&;)#).@*,)!!$$,*,)+'@'.$'>!&&*&&;##)..&*#!$$!;*,)+'@'.$'+!&&*&&;#)).=;*;!$!!$,*@>'@@.%'+!&&,&&;)#)>'%*,$!$!$%&@>'@@.$'+!&&,&&;#))+****,#!$!!;@>'@'.%'>!&&*&&;##)>*,**&$!!!##@>'@@.%'+!&&*&&;#))>**,$$!#!##)'+')@.$'>!&&*&&;##)-,**#@#####)+>@)@.%'>!&&*&&;#))-***))+#!##)+>'#)=%'>!&&*&&;#))-,*,)#')!##)'>'##=$'>!&&*&&;##)-,**)))'))#)'>@##=%'+!&&*&&;)))-**,)))'@##)'>'!#=$'>!&&*&&;##)-,,,))))')))@>'!!=%'+!&&*&&;#))=,**)@))'@))@>'$!=%'>!&&*&&;#))=,**)@)))+')@>'$$-$'>!&&*&&;##)=&**)@))@'''@+@$%>$'+$&&*&&;#))=&**)@@)@'++'+)$%>$'+!&&*&&;#))=&**)@@@@@+>+@#%%>%'>!&&*&&;)))=&**#@'@@@'>+@#;%+$'>!&&,&&;#))=&**!##''''++'!;%+$'+!&&*&&;#))=&**!#$@'''''')#@-%'+!&&*&&;##)=&**!!&$'''++'@'.=%'>!&&*&&;#))-&**!#&*@+++++@'..$'>!&&*&&;##)=&,*!#&*$+++>>'!=.$'+!&&*&&;#))=&**!#&**@++>>'$#.$'>!&&*&&;#))=&**$#,**!++>>'$$-%'>!&&*&&;#))=&**$!,**,'+>>'#!-%'>!&&,&&;#))=&*,$!,**,#>>>@)#-$'+!&&*&&;#))=&**$$,***&>>>@))=%'+!&&*&&;#))=&**$%,****#>>'))=%'+!&&*&&;#))=&**$%*****$->@))=$'+!&&*&&;##)=&**!%*****&'>'))=$'+!&&*&&;)#)=&**$;*****;)>@))=%'+!&&*&&;#))=&**!%*****&@>@)@=$'+!&&,&&;##)=&**$;*****&@+@)@=$'+!&&*&&;#))=&**$;**,,*&@+')'.%'+!&&*&&;)))=&**$&,,***;@>'@@.$'+!&&*&&;#))-&**$;***,*&@>'@'.%'+!&&*&&;#))=&**%;****,,@>'@'.%'+!&&*",
"&&&&&>)**!%****,***$+'@->!;&&&*&&&&&>)**$;****,**,;+'@->$;&&&*&&&&&>)**$;********;''@->$;&&&*&&&&&>)**$;*,****,*;+'@->!;&&&,&&&&&>#**!%********;''@->!;&&&*&&&&&>#**!$,****,**;''@->!;&&&*&&&&&+!**$),,******;+'@->!;&&&*&&&&&+$**$);***,***%''@->!;&&&*&&&&&+%**!#$*******;''@->!;&&&*&&&&&+;**##!;**,***;''@->$;&&&*&&&&&+;**)#$%******;''@->!;&&&*&&&&&+&**##$$&*****;''@-+$;&&&,&&&&&+&**#!$!;*****%+'@-+%;&&&*&&&&&>)**#!$$$****,$+'@-+%;&&&,&&&&&>.!*!$$$$&**,*%>'@-+;;&&&*&&&&&>.)*&$$$$;****!+'@-+%;&&&*&&&&&>.)**;$$$$****)>'@-+%;&&&*&&&&&+#$,*&!!$$&***@+'@-+;;&&&*&&&&&+%**,&!$!!;***@+@@-+%;&&&*&&&&&+$**$$!!!!$,**)+'@-+%;&&&,&&&&&>#**!@@$!!!%,*@+'@-+;%&&&*&&&&&>#**!#'$!#!!;,)+'@-+%;&&&*&&&&&>#**##@)####!%@>'@-'%;&&&*&&&&&>#**!##@######'+'@-';;&&&*&&&&&>#*,!)#)@####)++'@-';;&&&*&&&&&>#**!)#)')###)++'@-';;&&&*&&&&&>#**!))#'@))))+>')>';;&&&*&&&&&>#**!))))'))))+>')+';;&&&,&&&&&>)**$@)))'@)))+>')+';;&&&*&&&&&>)*,$))))'+)))'>@#'';;&&&*&&&&&>)**$)@))@+@))'>@$'';;&&&*&&&&&>)**$##@@@'+)@'+'$@';;&&&,&&&&&>@*,$!;)@''+@''>@$@';;&&&*&&&&&>@**$!,;@@'+++'+@$)@;;&&&*&&&&&>@*,$!**#'@'+>++#;)@;;&&&*&&&&&>)**$!*,;'''+>+@$;#';;&&&,&&&&&>)**!!**,#'++++'$!@';;&&&*&&&&&>)**$!**,%+++++')+.';;&&&*&&&&&>),*$!****@++++'@-.';;&&&*&&&&&>)**$#**,,!+++++@>.';;&&&*&&&&&>)**$!**,*;+++++@#-';;&&&*&&&&&>)**%;,**,*@++>+'!@';;&&&*&&&&&>)**$;*,***!++>>'#@';;&&&*&&&&&>)**$&*****&>+>>')'';;&&&,&&&&&>)**%&*,****)>>+'@>';;&&&*&&&&&>)**$;******%+>>'@>';;&&&*&&&&&>@**$;****,**'>+''>';;&&&*&&&&&>)**%&*******$>+'@>+;;&&&*&&&&&>@**$&*,**,*,,+>'@>+%;&&&*&&&&&>)**%&***,****'+'@-+%;&&&*&&&&&>)**$&**,*****@>''-+%;&&&*&&&&&>)**$&*******,)+'@-+%;&&&,&&&&&>)*,$&********@+'@-+%;&&&*&&&&&>)**%&********)>'@-+%;&&&*",
"&&&&%=&*&#**,****,**@+''.@;&&&*&&&&%=&*&#****,*****#+''.@;&&&*&&&&$=&,,#*********,)'''.@;&&&*&&&&$-&*&)******,***#'@+.@&&&&*&&&&%=,*;)$*********)'''.@;&&&*&&&&$-,*;)!,***,****)+''.@&&&&*&&&&%>*,&)!;*,******)'''.@;&&&*&&&&%>**&#!$,*******#'''.@&&&&*&&&&$>,*;#!!&*,**,*,)'''.@;&&&*&&&&$+**;#$!;*******)''+.@;&&&*&&&&%'**;#$!$*******)'''.@;&&&*&&&&$+*,;!$!$&******)+'+.);&&&*&&&&%=$*;!$$$;******@+''.)&&&&*&&&&$..,*$$$$;******)'''.);&&&*&&&&%..&**$$$$******)'''.);&&&,&&&&%.-&**$$$$,*,*,*@+'+.);&&&*&&&&$+&***$$$$;**,**@'''.);,&&*&&&&$+**&%$$$$;*****@'''.)&&&&*&&&&$>**;))$$$$,****'+''.);&&&*&&&&%-**&#)#!!$&****@'''.);&&&*&&&&%-,*&##)#!!%****@'''.);&&&*&&&&$-,*&##))##$&*,*''''.);&&&*&&&&%-,*&###@##!;***@'''.);&&&*&&&&%=,*&)##@@##$;**@'''=#&&&&,&&&&%=,*&)##)'##!$;&@'''=$&&&&*&&&&%=,,&))#)')###!!++''-%&&&&*&&&&%=,*;)#))@'))))@>+@+-;&&&&*&&&&$-&,&)))))+))#)@>''+-&&&&&*&&&&%=&*&)!)))'@))))>'''-&&&&&*&&&&$=&*&)%$#)''))@)>+''>&&&&&*&&&&%=&*&)*&$)'+@@)@++@)>&&&&&*&&&&%=;,,)**&$)+'@@@>+@)>&&&&&*&&&&%=&*,#***%)++@@@++@)>&&&&&,&&&&$=&*&#,**,#+++@@++@!+&&&&&*&&&&%-&*,)****!'++'''+)!+&&&&&,&&&&$-&*&)****&'++''+'#$+&&&&&*&&&&%=&*&#*****@+>>>'@$%+&&&&&*&&&&$-&*&#*****#+>>+')$!+&&&&&*&&&&%=&*,#*,***$++>+'@#>>&&&&&*&&&&%=&*&!*****;+++>+@'.-&&&&&*&&&&%-&*&!******'+++>''.-&&&&&,&&&&$=&*&$******)+++>')>-&&&&&*&&&&%=&*&$****,*%+++>+@!>&&&&&,&&&&$=&*,$******&+>+>+'#>&&&&&*&&&&$=&*&%***,***@>+>+')>&&&&&*&&&&$=;*&$****,**#>>>+''>&&&&&*&&&&%=&*&%*******;+>>+''>&&&&&*&&&&%=&*&$*,******@>>+''>&&&&&*&&&&%=&*&$********$>>+''=%&&&&,&&&&$=&**%*********@>+''.$&&&&,&&&&%=&*&$******,**$>+@'=#&&&&,&&&&$=&*,%*********;>+''.!&&&&*&&&&$-&,&$*********,++'+.#&&&&*&&&&$=&*,$*********&++''.!&&&&*",
"&&&&)>*,$%**********!+''.+!&&&*&&&&)>,*$!*********,%+'@.+!&&&*&&&&)>**$)&,********%+''.+#&&&*&&&&)>**$)$*******,*;+'@.+#&&&*&&&&)+*,$)#&*,******;+'@.+!&&&*&&&&)'**$)#$****,**,;+'@.+#&&&*&&&&)'**!!#!*******,;+''.+!&&&*&&&&)@,*!!#!&***,***%+''.+!&&&*&&&&)@**!!!!;*******;+'@.+!&&&*&&&&)@**!!!!%,**,***;+'@.+#&&&*&&&&)@**!$!$$,****,*;+'@.+#&&&*&&&&).$*$$$$!***,***;+'@.+#&&&*&&&&).>**;$$$&*,*,**;+'@.+#&&&*&&&&).>*,;$$$;******%+''.+!&&&*&&&&)-@**;%$$%**,***;+''.'#&&&*&&&&)@**,$$$$$&*****%+''.+!&&&*&&&&)+,*%!!$$!&*****$+''.+!&&&,&&&&)+**$##$!$;**,**!+'@.+!&&&*&&&&)>,*%!!#!!%,****$+'@.+!&&&*&&&&)+**$!!!!!%****,$+'@.+$&&&*&&&&)+,*$!!#@#!&****!+'@.+!&&&*&&&&)+,*$###@)#&*,**$+''.+$&&&*&&&&)+**$###)@#;*,**!+''.+$&&&*&&&&)+**$###)'#$****$>'@.+$&&&*&&&&)+**$)#)!@)$*,**!+'@.+$&&&*&&&&)>**$))#$))!&***$+''.'$&&&*&&&&)>**$#!$$#@)%&&,#+'@.@;&&&*&&&&)>**$$&;&$')!%$$@+'@.#;&&&*&&&&)-**$%*,&;'@!!#)'+'@=$&&&&*&&&&)-**$$***,@'#)))++''=%&&&&*&&&&)-**%%****)'))@@++''=%&&&&*&&&&)>**$%****#+@@@@++'@-$&&&&,&&&&)-**%$****%+'@@@+>'@-%&&&&*&&&&)>**$%****%++@@''>')-$&&&&*&&&&)-**%%****&'+'''++'#>$&&&&,&&&&)>,*$;*****)++''+>'#+$&&&&*&&&&)>,*%%*****@>>+'++'$+%&&&&*&&&&)>**$;,****!>>+'++@$'%&&&&*&&&&)>**%;*****$>>>++'$;+%&&&&*&&&&)>**$&****,;+>>++'$@-$&&&&*&&&&)-**%;**,,*,'+>++@)..$&&&&*&&&&)>,*!&******)>+++'@..$&&&&*&&&&)-**$&******%++>++'>.%&&&&,&&&&)>,*$&,,****&>++>+'!>%&&&&*&&&&)-**$&**,***,+>++>'!>%&&&&*&&&&)-**$&***,**,@>>>+')-%&&&&*&&&&)-**$&*******!>>>+'@-$&&&&*&&&&)-*,$,*******%>>>+'@-$&&&&,&&&&)-**$&****,***'>>+'@.$&&&&*&&&&)>,*$,********#>>+'@=!&&&&*&&&&)-**$&********;+>+'@.)&&&&,&&&&)>**!&**,***,**)>+'@.';&&&*&&&&)>,*%&****,*****'+'@.+;&&&*&&&&)>**$&*,*,***,**)+''.'%&&&*",
"###$)+**!#&*******,*;+''.+@$$$*###$)+**!)!,********&+''.+@$$$*###%)',*#))&*******,;+'@.+'!$$*###$)@**!))$*,**,***;+''.+'$$$*)##$))**####,&******;+''.+'$$$,)#)$))**####&&**,***&+''.>'$$$*##)$))**####%;*,,***&+'@.+@!$$*##)$))**)!!!!;,*****&+''.+'$$$*###$)#**#!!!#;,*,*,*,+''.+'$$$*#)#$))**@!$#!%&*****,''@.+@$$$*###$)=$*&$$!$!,*****,+'@.+'!$$*###$).@*,;$$!$&*****&'''.>@$$$*)##$).'**;$$$$&*****&+''.+'$$$,)#)$)-!**;%$$$;*****&+'@.>'$$$*##)$))**%!%$$!;*****&''@.>'$$$*###%))**##!$$!%****,&+'@.+'$$$*###$)@**!$!!$$%*****&>'@.+'$$%*###$)@**!$$!$#%*****&>''.>@$$$,###$)'**#!$!)!$*****&+''.+@$$$*###%)'**!!!!##!*,***&>''.+@$$$*)##$)'**!!!!#)!**,,*&+'@.+@$$$,)#)$)'*,!!#!$)!&****&+'@.>@$$$*###%)+**!#!!%#!;***,&+'@.>@$$$*#)#$)>**!)#$&!!;****;+'@.+@$$$*###$)+**!#%;*%#;**,*;>''=>@$$$*###$)+,*#%&**;!%****;>'@.+@$$$,###$)+**#;***;#!****;+'@.+)$$$*###$)>**#;,*,,#!,***;>'@.+)$$$*)##$)+**!;***,#!&**,$+''.+!$$$,)#)$)+**#;****!#;,&%)>''.@%$!$*)))$)+**!;***,%)$&$#'>'@.#%$$$*)##$)>**!&****%)!$#@+>''=!$$$$*##)$)>**!&****;@#!@@++''=!%$$$*#)#$)>**!&****;@@)''+>'@=!%$$$*###$)>**#,****&@'@''+>'@-$%$!$*#)#$)+**!,***,&''''''>'@>!%$$$*)##$)>**$,**,*&'++'''>')+$%$$$,)#)$)+**!,****,'+++++>'#+!%$$$*)))$)+**$******'++++++'!'!%$!$*)##%)>**$******)++++>+)$+!%$!$*##)$)>**$**,***)+>+@+'$)-$$$$$*###$)>**$***,**#+++++'!-.$%$$$*###$)+,*$******$'++++@)=.$%$!$*#)#$)+**$******$'+>>+'@-.!%$$$*)##$)>**%******%)>++>+'#>!%$$$,)#)$)>,*$******;)+>+>>'#+!%$$$*#))$)+**$**,,**&$'>>>+')>!%$$$*)##%)>**$,,****&%@>>>>'@-$%$$$*##)$)>**$****,**;!>>>>'@=$%$$$*###$)+**$*******,;+>>>'@=!%$$$*###$)+**$***,**,*&+>>>'@=!%$!$*#)#$)>**$*********)>>>'@=@%$$$*)##$)>**$*******,*;'-+'@=+!$$$,)#)$)+**$,*********$+>'@.+#$$$*",
">>>))@**!@)!*$%*****;>''.+>==-*>>>))@**#)));#%*****;>''.+--=-*>>>)))**))))$#;*****;>''.>>=--*>>>#))**))))#'$*****&>''.+>==-*>>>)))**))#)#)%*****&>''.+-==-*>>>)))**)##)))%*****;>''.+--=-*>>>#)#**)##)@);*****;+''.+--=-*>>>))!**)#)###;****,,+''.+--=-,>>>)))**!#$!!!;*****,+''.+--=-*>>>#)=#**$$$!!;*****,'''.+-==-*>>>)).'**;$$$!;******'''.+>=--*>>>)).@**;$$$$&******'''.+>==-*>>>))>%,&%$$$$&******'''.+>==-*>>>)))**!$$$$!&*,***&+''.+-==-*>>>)))**)$$$$$&,*,**,+''.+>-=-*>>>))@**#$$$!$&*****&+''.>>==-*>>>#)@**#$$$$$,*****;+''.+-==-*>>>))@**#!$$%$&*****&>''.+-=--*>>>))@*,#$!$&$,*****&>''.+>==-*>>>))@*,#$!$,&,*****;>''.+>==-*>>>))@*,!!!%*,******&>''.+>==-*>>>))@**!#$&*,****,*&>''.+-==-*>>>))'**!#;*******,*&>''.+-==-,>>>))>**!$*****,****;>''.+--=-*>>>))+**!;**********&>''.>>=--*>>>))+**#;**********;>''.+>=--*>>>))>**#;*********,&>''.+>==-*>>>))+**#;**********;>''.+>==-*>>>))+,*!&,*********&>''.+>==-*>>>))+**#&***,*****,&>''.+>-=-,>>>))+**#,**,******,$>''.++=--*>>>))+**#&*****,,,*%)>''.@'-=-*>>>#)+**#,*****,&*;)'>''.)@=--*>>>))+**#&***,*&&*#@+>''=!@-=-,>>>))+**!&*,***;&;@'+>''=!@-=>*>>>#)+**!,*****;$;@'+>''-!@==-*>>>))+**%*****,;#)''+>''-$@-=-*>>>))+**%******%))+++>'@>$@==-,>>>))+**%******$@'+++>'@+!'-=-*>>>))+**%******$'++++>')+$@=--*>>>#)+**%*****,!+++>'>'!'$@=--*>>>))+**%******!+++++'##-!@==-,>>>))+**%******)+>+++)%-.!@-=>*>>>))+**%******#>>+'+)%=.!@==-*>>>))+*,%******#>>>++@!>.$@==-*>>>))+**%*****,#>>++++))-$@-=-,>>>))+**%*****,#>>+>>>'#+$@=--*>>>))+**%******)>>>>>>')+!@==-*>>>))+**%,*,***)++>>>>'@-$@-=-*>>>))+,*%******)++>>>>''=!@-=-*>>>#)>**$******)))>>>>''.!@-=>*>>>))+**$******)))>>>>''.$@==-*>>>))+**$******#)%+>->''=#@==-*>>>))+**!******#$;@>>>'@.@'-=-*",
"&&&&)'**!@@)'+@%*,**!+''.+)%%%*&&&&)',*!)))+'@%****!>''.>@%%%*&&&&)@**#)))+@)&****!+''.+@%%%*&&&&)@**#))@+)#*****!>'+.+@%%%,&&&&))**#))'@)!*****;>''.>@%%%*&&&&))**#)@@)#$*****;+''.+@%%%*&&&&))**#@)###$*,***;>''.+@$%%*&&&&)@,*&#$!##;*****;+''.+@$%%*&&&&).@**%%!!!&*****&>'+.+'%%%*&&&&).+**%$!!$&*****&>''.+@$%%*&&&&).+**%$$!%,*****;>''.>@$%%*&&&&)>;*&$!$!&,**,**&+''.+@$%%*&&&&)@**!$$$$&******&>''.+'$%%*&&&&)'**!$$$$,*,*,**&+''.+'$%%*&&&&)'*,!!$$;,*,****&>''.+'$%%*&&&&)+**!$!$&*,*****&>''.+@%%%*&&&&)'**!!$$,*******;>''.+'%%%*&&&&)+**!!$%********;+''.+@$%%*&&&&)+**!#!;********&>'+.+'%%%*&&&&)+**!#$,********&+''.+'$%%*&&&&)+**!#;*********&>''.>@%%%*&&&&)+**#!**********&>''.+@%%%*&&&&)+**#%********,*;>''.>@%%%*&&&&)>**#%******,***%+''.+@%%%*&&&&)>**#%****,*****%+''.+@%%%*&&&&)>**#%**********;+''.+@%%%*&&&&)>**!;****,*****%+''.>@%%%,&&&&)+**!;**********$>''.+@%%%,&&&&)+**!;******,***$+''.+@%%%*&&&&)>*,!;,*********;>''.+@%%%*&&&&)>**!&**********%>''.>@%%%*&&&&)>**!&*,********$>''.+)%%%*&&&&)>**#&****,*****#+''.+!%%%*&&&&)>**#&*********;'>''.@%%%%*&&&&)>**#&********&#+>''.#;%%%*&&&&)+**!&********$'+>''.!;%%%,&&&&)>**!,*****,*,)'+>''=$;%%%*&&&&)>**$,*******;'++>''=!;%%%*&&&&)>*,!,*******%+++>''-!;%%%*&&&&)>**!,*******)+++>'@>$;%%%*&&&&)>**!,*****,&@+++>')+!%%%%*&&&&)+,*$******,%'++++'#+!;%%%*&&&&)+**$,,***,&!+++++)#-$;%%%,&&&&)>**!,*****%@>+'+@$-.$;%%%,&&&&)>**$,*,**,%@>>'+)$=.!;%%%*&&&&)>*,%,,****$+++++)!=.!;%%%*&&&&)>**$,*****!+>>'>'#)-$;%%%*&&&&)>**$,*****@>>>+>+)#>$;%%%*&&&&)+**$,*****'>>>+>>')-$;%%%*&&&&)+**$,*****'>>>>>>'@-!;%%%*&&&&)>**!&****;+>>>>>>''.$;%%%,&&&&)>**!&****!->>>>>>''.$;%%%,&&&&)>*,!&****!>>>>>>+''.$;%%%*&&&&)>,*$&****!-++>>->''.#;%%%*",
"&&&&#>**!@@@>'@%****@''+.+#&&&*&&&&#>**$@@'+@)&**,*'''+.+#&&&*&&&&#+**!)@+@))*****'''+.+#&&&*&&&&#+**!)@'))!,*,**'''+.+#&&&*&&&&#'**#@')));**,**)+'+.+#&&&*&&&&#'**%))###&*,***)+'+.+)&&&*&&&&#+;*,%!###,*****#+'+.+)&&&,&&&&#.>&*&#!!$**,***#+'+.+)&&&*&&&&#.-,*&!!!%******#+'+.+);&&*&&&&#.-**$$!$;******!+'+.+)&&&*&&&&#-;*!!$$$&******$+'+.+)&&&*&&&&#+**%!$$$,******!+'+.+)&&&,&&&&#+**%!$$%*******!+'+.+@;&&*&&&&#>*,;#$$;*****,*!+'+.+)&&&*&&&&#-**;#$$&*******!+'+.+@;&&*&&&&#-**;#$$*****,**!+'+.+)&&&*&&&&#-**;)$;***,**,*!+'+.+)&&&*&&&&#-*,%)$,***,*,**!+'+.+)&&&*&&&&#-**%)%*********!+'+.+)&&&*&&&&#-,*%),****,****!+'+.+)&&&,&&&&#-,*%#*****,****!+'+.+)&&&*&&&&#-,*%#*********,!+'+.+)&&&*&&&&#-,*%#*,***,****!+'+.+)&&&,&&&&#-&*%#**********!+'+.+)&&&*&&&&#=,*%#**********!+'+.+)&&&*&&&&#=&*%#*,********#+'+.+)&&&*&&&&#=,*%$**,*******#+'+.+)&&&*&&&&#=,*%$**,*******#+'+.+)&&&*&&&&#=&,%$**********#+'+.+#&&&*&&&&#-,*%$*,****,***#+'+.+)&&&*&&&&#=,*;$**,*******#+'+.+)&&&*&&&&#-&*;%******,***#+'+.+)&&&*&&&&#=,*%%**********#+'+.+#&&&*&&&&#-,,%$****,*****)+'+.+$&&&*&&&&#-&*%$**********'''+.';&&&*&&&&#=,*%%******,**#>>'+.#&&&&*&&&&#=,*%;******,*;'>+'+.$&&&&*&&&&#=,*$%*,******!+>+'+=%&&&&*&&&&#=,*%;********@+>+'+=%&&&&,&&&&#=&*%;**,*,**%++>+''-$&&&&*&&&&#=,*%;*,****,!++>+'@>%&&&&*&&&&#=,*$%*******@>+>>'@>$&&&&*&&&&#=&*%%**,*,*&++>+>'#-$&&&&*&&&&#=,*$%******%>++>+'#=%&&&&*&&&&#=,*$%******!++>>@)-.%&&&&*&&&&#=,*%;*,*,*,)>>++@@..$&&&&*&&&&#=,*$$*,****'>>>+@)..$&&&&*&&&&#-,*;%*****&>>-++)!'=$&&&&*&&&&#-,*%$*****$>-->+')#-$&&&&,&&&&#-,,;;,***,#>->>>+'#=$&&&&*&&&&#-,*$$,*,**@-->>>+'@-$&&&&*&&&&#=,*%$****&>-->>>+''=$&&&&*&&&&#-,*%%*,**$-->>>-+''=$&&&&*&&&&#=,*$$***,#--->>-+'+.%&&&&*",
"&&&&%=;*&'@++@@@!&*$-+'-=@;&&&*&&&&$=&,;@@+@@@);**$>+'-.@%&&&*&&&&%>&*;@+')))$***$-+'-=@%&&&*&&&&%>,*&)))#))$***$-+'-.'%&&&*,&&&%>&*;&!####&***%>+'-=@%&&&*&&&&$-)%**!###$****%>+'-.@$&&&*&&&&$..!**!!##;*,**%+++-='$&&&*&&&&%..!*;#!!!,****;>+'-='$&&&*&&&&%.=;*$!!!$*****;>''-.'!&&&,&&&&$.$*,#!!!;*,***,>++-.'!&&&,&&&&$-;*,)#$$&*****&>+'-='!&&&*&&&&$-%**)!$$,******+''-='#&&&*&&&&%=%**)!!;*******+''-.'#&&&*&&&&$=%**)!$&*******+''-='#&&&*&&&&%.%**)#%**,**,**'''-='#&&&*&&&&$=%**@#&**,,****'''-.'#&&&*&&&&%.$**@!*,*******@''-='#&&&*&&&&%.%**@$**,******+''-.'#&&&*&&&&$.$**@;***,,****'''-.'#&&&*&&&&%.$**);*,*******+''-='#&&&*&&&&$.!**);,**,*****+''-.'!&&&*&&&&$.$**)&,********+''-.'!&&&*&&&&%.!,*@;*****,***+''-.'!&&&*&&&&$.!**);*********'''-='!&&&*&&&&%.!**)&*********+''-='!&&&*&&&&%.!**)&***,***,&+''-.'!&&&*&&&&%.!**)&********&>+'-.'!&&&*&&&&$.!*,),********&>+'-.'!&&&*,&&&$.$**)*********,>+'-.'$&&&*&&&&$.$*,)*********,>+'-.'$&&&*&&&&%.!,*)****,****;>+'-='!&&&*&&&&$.$**)*********;>+'-.'$&&&*&&&&%.!**#****,****;+''-.'$&&&*&&&&$.$**#*********%>+'-.'$&&&*&&&&$.!**)****,,***;>''-.'$&&&,&&&&%.$**#*******,*;-+'>=@;&&&*,&&&%.!**#***,*****#-++>.!&&&&*&&&&$.!**)****,****'-+'>=;&&&&*&&&&%.!**!*******,$>-+'>>&&&&&*&&&&$.!**#********'>>+'>+&&&&&*&&&&%.!**#*******%>>-+'>+&&&&&*&&&&%.!**)*******)++-+'++&&&&&*&&&&$.!**)******&++>>+'@+&&&&&*&&&&%.!**)*,****%>++>+')+&&&&&*,&&&%.!**)*,*,**#+++>+@)+&&&&&*&&&&$.!**#****,*'>>>>+'.>&&&&&*&&&&%.!**)*****;>>>++'>.>&&&&&*&&&&$.$**#****,#>>>>+'+.>&&&&&*&&&&$.!**)*****@>>->+')>+&&&&&,&&&&%.!**#*,**;+>>>>+)$)+&&&&&*&&&&$=!**),***#>>->>+'#@>&&&&&*&&&&%.$*,@,**,)>--->>+)@>&&&&&*,&&&$.!,*@,**;+>--->>'''+&&&&&*&&&&$.!,*@,*&)>-=->>-''++&&&&&*",
"&&&&&+)*,!+>@@@@@@)>+'+.-#,&&&*&&&&&+)**#''#)))@!$>+'+.-!&&&&,&&&&&+#**!$#))))#&;>+'+.-!&&&&*&&&&&')&&**)))))&*%>+'+.-!&&&&,&&&&&'+@;*,####!,*%>+'+.-#&&&&*&&&&&+.+;*$####;**%>+'+.-#&&&&,&&&&&+.+,&)#!#!***%>+'+.-);&&&*&&&,&+.$*!)#!#;,**%>+'+.-);&&&*&&&&&+'*,!)#!!,,**%++'+.-);&&&*&&&&&+@*,$)#!%,***;@+'+.-);&&&*&&&&&+@**$@#!,,***&@+'+.-);&&&*&&&&&+@**$@#$*****&@''+.-);&&&,&&&&&+'**!'#;****,*@''+.-)&&&&*&&&&&+'**!'#,*****,@'++.>);&&&*&&&&&+'**!'%*,*****@''+.-@;&&&,&&&&&+'**$+%*******'''+.-);&&&*&&&&&+',,$+;*******@''+.-@;&&&*&&&&&+',*$';*******@''+.-@;&&&*&&&&&+',*$';*******@''+.>@;&&&*&&&&&+',*%';***,*,*@''+.-@;&&&,&&&&&++,*%';**,****@''+.-@;&&&*&&&&&++,*%+;**,***,@''+.>@;&&&*&&&&&++,*;';*******@''+.-@&&&&*&&&&&++,*;@,*******@''+.-);,&&*&&&&&++,*%),*,*,***@''+.-);&&&*&&&&&+>,,;)*****,,*@+'+.-);&&&*&&&&&++,*;)*****,*,@+'+.-);&&&*&&&&&++,*;#********@+'+.-);&&&,&&&&&++,*%)*,*,*,**@+'+.-);&&&*&&&&&++,*%)********@+'+.-);&&&,&&&&&++,*%)*******,@+'+.-);&&&*&&&,&++,*;)********@+'+.-);&&&*&&&&&++,*;)********@+++.-);&&&*&&&&&+>,*%)*******&'''+.-);&&&*&&&&&++,*;)********@+'+.-);&&&*&&&&&++,*%),*,****&@+'+=-)&&&&,&&&&&++,*%)*******&'+'+.-#&&&&*&&&&&++,*;)*******&++'+.-$&&&&,&&&&&+>,*%)*,***,*$-+'+=>&&&&&*&&&&&++,*%)*****,*)-+'+=@&&&&&*&&&&&++,*;)******,+->'+=@&&&&&*&&&&&++,*&)***,**!>->'+=@&&&&&*&&&&&++,*;)*,***&'>->''-@&&&&&,&&&&&++,*&)*****%>>->''>@&&&&&,&&&&&++,*;)*****@>>>>')+@&&&&&*&&&&&++,*;)***,;>++>>+#>@&&&&&,&&&&&++,*;)****#+>>>>''.@&&&&&*&&&,&++,*;)*,*,++>>>++..@&&&&&*&&&&&++,*;)***$>>>>>'+..@&&&&&*&&&&&++,*%)***@+>>>+'@-=@&&&&&*&&&&&++,*;)**%+>>>>''#$>@&&&&&,&&&&&++,*%)**)>>>>>'@!$>@&&&&&,&&&&&++,*$);)+>>>>>++))-@&&&&&*&&&&&++,*%)$+>>>---->'#-@&&&&&*",
"&&&%$!-%**#$#@@@+-=+'+-=!);&&&*&&&%$!>%*,&*#)@'+--+'+-.));&&&*&&&%$!>!)&,*@))@+>-+'+-.)#;&&&*&&&%$!--@;*!)))@'@-+'+-.));&&&*&&&%$$..@&;@)))@)@>+''-.#);&&&*&&&$$!..#*)@))))!)-+''=.)#;&&&*&&&%$$.'*,#'@))!%@-+'+-.)#;&&&*&&&%$!=%**#'@));%@>+'+-.)#;&&&*&&&%$$-$**)+@@$;%#>+'+-.));&&&*&&&%$!=$**#+');;%)->'+=.@);&&&*&&&%$!=$**#''!;;$)-+''-.));&&&*&&&%$!=$,*#''$;;%#>+'+-.));&&&*&&&%$$=$**#+@%;;;#++'+-.@);&&&*&&&$$$=!,*#+)%&&;#++''-.@@;&&&*&&&%$!=!*,#+#%&*;#'''+-.@);&&&*&&&$$!.!,*!'#$**&!'''+-.'@;&&&*&&&%$!.#**!'#;,**$''''-.');&&&*&&&%!$=#**!+#&***%'''+-.'@;&&&*&&&%$$.#**!+#,,*,%@''+-.+@;&&&*&&&%$$.)**$'#&***%@'''=.'@;&&&*&&&%$!=#**!'!&***%@''+-.'@;&&&*&&&$$$=)**$'!,**,;@''+-.'@;&&&*&&&%$!=)**$'$***,%@+'+-.+@;&&&*&&&$$$.)**$'$****;@''+-.'@;&&&*&&&$$$.#**$@$****%@''+-.'@;&&&*&&&%$!.)**$@$****;@'''-.'@;&&&*&&&%$!.)**!#;***,%@''+-.@);&&&*&&&%$!.#,*$);****;'+'+-.@);&&&*&&&%$$.#**!);****!'''+-.)#;&&&*&&&$$$.)**$);****$'''+-.@#;&&&*&&&%$!.#**#)&****!'''+-.@);&&&*&&&$$!.#**!);****$>+'+-.@#;&&&*&&&%$$.#**!);****$++''-.@#;&&&*&&&%$$=)**$)&***,$>+'+-.@#;&&&*&&&%$!.#**!)&,,**$>+'+-.@#;&&&*&&&%$$.)**!)&****#-+++-.@#;&&&*&&&%$$.#**!);,*,*#->'+-.@);&&&*&&&$$!.)**$)%***&#-+'+-.@#;&&&*&&&%$!=)**!)%***&#>>'+-.@#;&&&*&&&%$!.)**$)%***&#->+'-.)#;&&&*&&&$$!.#**$#%*,*&#>>++>.$#;&&&*&&&%$!=)**$@$***&)->++>=%#;&&&*&&&%$$.#**$)$*,*&+->+'>=%#;&&&*&&&%!$.)**$@$***!-->+'>-%#;&&&*&&&%$$.#*,$)$&*,'-=>+''-%#;&&&*&&&$$!.)*,$@!&*$>---+@)-%#;&&&*&&&%$!.)**!'!**'>---'))=%#;&&&*&&&$$$.#**$'%&!>--->'#+=%#;&&&*&,&$$!.#**!'$%+>>---'+.=%#;&&&,&&&%$!.)**!'!@>>>>-++=.=%#;&&&*&&&$$$.#**!'#>>>>>+'+-.=%#;&&&*&&&%$$=)**#'+->>>>+'@@@-%#;&&&*&&&%$!=)**!+-->>>>+'!%)-%#;&&&*&&&$$!.#**#>->>>>>'@!$@-%#;&&&*",
"&;)='&++;%;&;+>==>'))'.#%=>!&&*&;)='&+>@@%,)+>-.-'))+.#%=>!&&*&;)=',+..@;;'>-==>'))+.#%=>!&&,&;)='&+..),!)+-=.>@))+.#%=>!&&*&;)='&+.=&,$@>-..>@)@>.#%=>!&&*&;)-'&+.$*,$@>-==>@@)>.#%=>!&&*&;)='&+-%,,$@>=.=-@@@>.#%=+!&&*&;)='&+-$,,$@>=.=+@@@>.#%=>!&&*&;)='&+-$,*$@-=.=+@@)>.#%=+!&&*&;)-'&+-$,*$@-..-+@@@>.#%=>!&&*&;)='&+-$,*%@-=.=+@@@>.#%=+!&&,&;)-'&+-$**%'-=.=+@@)>.#%=>!&&*&;)='&+-$,*%@-=.=+'@@>.#$=>!&&*&;)-'&+-$**$@---=>'@@>.)$->!&&*&;)='&+-$,*%'>>>=+')@>.)$=>!&&*&;)='&+-$,*%@->+->@@'>.)$=>!&&,&;)='&+-$&,;)>>>>+@@'>.)$=>!&&*&;)-'&+=!,,&@>++>>@@'>.)$=>!&&,&;)='&+=!,*;)+'+>>'@@>.)$=+!&&*&;)='&+=!,*;)>++>-'@@>.)$=+!&&*&;)='&+=!,*&)++++>+'@>.)$=>!&&*&;)-'&+=!,*;)''@+>+''>.)$=>!&&*&;)='&+=!&*;@'@@>>+'+>.)$=>!&&*&;)='&+=!,,;)'@@+>+'+-.)$=+!&&*&;)='&+=!,*;)'@@>-+'+>.)$=>$&&*&;)='&+=!,*;)+@@+>+'+-.)$=>!&&,&;)='&+=!,*;)@@@>-+'+>.)$=+!&&,&;)=+&+=!,*;)'@@+>+'+-.)%=>!&&*&;)='&+=!,*;#@@@>-+'+>.)$=>!&&*&;)-'&+=!,*;)'@@+-+''-.)$=>$&&*&;)='&+=!,*;)@@@+>+++>.)$=>!&&*&;)='&+=!,*%@'@@+>+'+>.)$=>!&&*&;)='&+=!&*;)@@@+>+'+>.)$=+!&&*&;)='&+.!&*;)'@@+>+''-.)$=>!&&,&;)='&+=!&*;#@@'+>+'+-.#$=+!&&*&;)='&+=!,*&)'@'>>+'@>.#%=>!&&*&;)='&+=!&*;#@''>>+@@>.#$=+!&&*&;)-'&'=!,,&@''+--+)'>.#$=>!&&*&;)='&+=!,,&)'+>->+@@>=)$=+!&&*&;)-'&+=!&*;)'++--'@@>=#$=+!&&*&;)='&+=!,*;@'++--+@@>=)$-+!&&*&;)='&+=!,,;)'+>--'@@+.#%=+!&&*&;)='&+=!&*;)'++--+)@+=#%=+!&&,&;)='&+=!&*;@+++--+@@+=#%=>!&&*&;)='&+=!,,;)++>=-+@@+-#%=+!&&*&;)-'&+=$&*;@>+-.->@@@-#%=>!&&*&;)='&+=!,*;@+>.=-+@)#-#%=+!&&*&;)='&+=!&,%@>-.=-+@!!-#$=+!&&*&;@='&+=$,*;)-.===+)!).#%=>!&&*&;)-'&+=!,*%@-=.=-+)!-.#%=+!&&*&;)='&+=!,*%'-===-+)-..#$=+!&&,&;)='&+=!&*%@--==-''>..#%=>!&&*&;)='&+=!,*%@-==--'@>>-#%=+$&&*&;)-'&+=!,*;@>---+')##-#%=>!&&*",
"&)=);&;+>.>#;$!$$;;$'.'&&%'>$&*&)=);&;>..>;&$%$$%;$'.'&&%'-$&*&)=);&;>..!,&$$$$%;$'.'&&%'>!&*&)-);&;>.@&,,;$$$%;$'.'&&%'>$&*&)-);&;>-$&&,;$$$%;$'.'&&%'>$&*&)-);&;>-!&&,;$$$%;$'.'&&%'-$&,&)-);&;>-!&&,;%$%%;$'.'&&%'>$&*&)-);&;>-!&&,;$$$;;$'.'&&%'>$&*&)-);&;>-!;,,;$$%;;$'.'&&%'-$&*&)=);&;>=!&,,;$$%;%$'.'&&%'>!&*&)-);&;>-!;,,;$$$;;$'.'&&%'>!&*&)-);&;>-!;,,;$$%;;$'.'&&%'-!&*&)-);&;>-#;&,;$$$;;$'.'&&%'-$&*&)-);&;>-#;,,;$$$;;$'.'&&%'>$&,&)-);&;>-#;&,&$$$;;$'.'&&%'>!&*&)-);&;>-#;&,;$$$;%$'.'&&%'-$&*&)-);&;>=#;,&;$$$%;$'.'&&%'>!&*&)-);&;>=);&,;$$$;%$'.'&&%'>$&*&)-);&;>=);,,&%$$$%$'.'&&%'>$&*;)-);&;>=);&&;$$$$%$'.'&&%'-!&*&)-);&;>=#;&,&%$$%!!'.'&,%'>$&*&)-);&;>=);&&;$$$%!#+.'&&%'>!&,&)-);&;>=#;&,&$$$$!#+.'&&%'>$&*&)-);&;>=);&,;$$$$$#+.'&&%'>$&*&)-);&;>=#;&,&$$$$$#+.'&&%'>$&*&)-)%&;>=);&,;$$$$$#+.'&&%'>$&*&)=);&;>=#;&,&$$$$$#>.'&&%'>!&*&)-);&;>=);,&;$$$$$#+.'&&%'>$&*&)-);&;>-);&,&$$$%$#+.'&&%'-$&*&)-);&;>=#;&,;$$%$$#>.'&&%'>$&,&)-);&;>=);&,;$$$$$#>.'&&%'>!&*&)-);&;>=);&,;$$$$$#>.'&&%'>$&*&)-);&;>=);&,&$$$$$#+.'&&%'-$&*&)=);&;>=);,,;$$$$$#+.'&&%'>$&*&)=);&;>=);&,&$$$$$#+.'&&$'-!&*&)=);&;>=#;&,;$$$$$!'.'&&%'>$&*&)-);&;>=);&,&$$$$$!'.'&&%'>$&*&)-);&;>=);&,&$$$$$$'.'&&%'-$&,&)-);&;>=#;&,&$$$$$$'.'&&%'>!&*&)-);&;>=#;&,&$!$$%$'.'&&%'-$&*&)-);&;>=);,,;$$$$%$@.'&&$'>$&*&)=);&;>=)&&,;$$$$%$@.'&&%'>!&*&)-);&;>=#;&,&$!$$%$@.'&&%'>!&*&)-);&;>=);,,;$$$%$%).'&&%'>$&*&)-);&;>=#;&,&$$$$%$).'&&$'>$&*&)-);&;>=);&,;$$$%%%)='&&%'>$&,&)-);&;>=);,,;%$$%$%)='&&$'>$&*&)-);&;>=#;&,;$$$%$%#-'&&%'>$&,&)-);&;>=);&&;$$$$$%#-'&&%'>!&*&)-);&;>=);&,;$!$$%%#='&&%'>!&*&)-);&;>=#;&,;!#$$;;+.'&&$'>!&*&)-);&;>=#;,,;!#$$%#..'&&%'>$&*&)-);&;>=)&&,;##!$$-..'&&%'-$&*&)-);&;>=#&,,;###!)-..',&%'>!&*",
"&%%&&&&;+..>;;;;;$)>.);&&&&$;&*&%;&&&&;+..!;;;;;$#>.);&&&&$;&*&%;&&&&;+.'$;;;;;$)-.);&&&&$;&*&%%&&&&;+-@$;;;;;$)-.);&&&&$;&*&%%&&&&;+-'!;;;;%$)>.);&&&&$;&*&%%&&&&;+-'!;;;;%$)-.);&&&&$;&*&%%&&&&;+='!;;;;%$)-.);&&&&$;&*&%%&&&&;+='!;;;;%$@-.);&&&&$;&*&%%&&&&;+='!%;;;%$)-.);&&&&$;&*&%%&&&&;+='!%;;;%$)-.);&&&&$;&*&%%&&&&;+.'!%;;;%$)-.);&&&&$;&*&%%&&&&;+='#;;;%%$)-.);&&&&$&&*&%%&&&&;+=+#%;;;%$)-.);&&&&$;&*&%%&&&&;+=+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)>.);&&&&$&&,&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+=+#%%;;%$)-.);&&&&$&&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&%+.+#%;;;%$)-.);&&&&$&&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$@-.);&&&&$;&*&%%&&&&;+.+#%%;;%$@-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$&&*&%%&&&&;+.+#%;;;%!)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%!)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&,&$;&*&%%&&&&;+.+#%;;;;$@-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&,&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$@-.);&&&&$;&*&%;&&&&;+.+#%;;;%$)-.);&&&&$;&*&%;&&&&;+.+#%;;;%$)-.);&&&&$;&*&%%&&&&;+.+#%;;;%$)>.);&&&&$;&*&%%&&&&;+.+#%;;;%$)>.);&&&&$;&*&%%&&&&;+.+#%;;;%$)>.);&&&&$;&*&%%&&&&;+.+#%;;;%$)>.);&&&&$;&*&%%&&&&;+.+#%;;;%$#>=);&&&&$;&*&%%&&&&;+.+#%;;;;$#+=);&&&&$;&*&%%&&&&;+.+#%;;;;$#+=);&&&&$;&*&%%&&&&;+.>#%;;;;%!'-);&&&&$;&*&%%&&&&;+.+#%;;;%%!@-);&&&&$;&*&%%&&&&;+.+!%;;;;%!@-);&&&&$;&*&%%&&&&;+.+!%;;;;%$'.);&&&&$;&*&%%&&&&;+.+!;;;;;%#..);&&&&$;&*&%%&&&&;+.'$;;;;;%>..);&&&&$&&*",
"&&&&&&&&;#-.+'@@+-.+$;&&&&&&&&*&&&&&&&&;#-=>'@'+-.+$;&&&&&&&&*&&&&&&&&;#-.>'@'+-.+!;&&&&&&&&*&&&&&&&&;!-.>'''+=.+$;&&&&&&&&*&&&&&&&&;#-.>+''+=.+!;&&&&&&&&*&&&&&&&&;#-.>+@'>=.+$;&&&&&&&&*&&&&&&&&;#-.>+''>=.+!;&&&&&&&&*&&&&&&&&;#-.>+''>=.+!;&&&&&&&&*&&&&&&&&;#-.>+'+>=.+$;&&&&&&&&*&&&&&&&&;#-.-+++>=.+$;&&&&&&&&*&&&&&&&&;#-.-+++>=.+!;&&&&&&&&*&&&&&&&&;#-.-+++>=.+$;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.-+++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.-+++>=.+$;&&&&&&&&*&&&&&&&&;#-.->'+>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+$;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.-+++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.-+++>..+$;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+$;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+$;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.=>++>..+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.-+++>=.+$;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+$;&&&&&&&&*&&&&&&&&;#-.->++>..+!;&&&&&&&&*&&&&&&&&;#-.-+++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.-+++>..+$;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->++>=.+$;&&&&&&&&*&&&&&&&&;#-.->++>=.+!;&&&&&&&&*&&&&&&&&;#-.->'+>-.+!;&&&&&&&&*&&&&&&&&;#-.->+++-=+$;&&&&&&&&*&&&&&&&&;#-.-+''+-=+!;&&&&&&&&*&&&&&&&&;#-.-+''+>=+$;&&&&&&&&*&&&&&&&&;#-.-+'@'>=+$;&&&&&&&&*&&&&&&&&;#-.-+@@'>-+!;&&&&&&&&*&&&&&&&&;#-.>'@@'>-+$;&&&&&&&&*&&&&&&&&;#-.>')@@+-+!;&&&&&&&&*&&&&&&&&;#-.>'))@+=+!;&&&&&&&&*",
"&&&&&&&;>$;#)+++')%&%-!&&&&&&&*&&&&&&&;+$;#@+++')%&%>!&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;!@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-!&&&&&&&*&&&&&&&;+$;#@+++')%&%-!&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-!&&&&&&&*&&&&&&&;+$;#@+++')%&%-!&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;!@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-!&&&&&&&*&&&&&&&;+$;#@+++')%&%-!&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;!@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-!&&&&&&&*&&&&&&&;+$;#@+++')%&%-!&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-!&&&&&&&*&&&&&&&;+$;#@+++')%&$>!&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*&&&&&&&;>$;!@+++')%&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-!&&&&&&&*&&&&&&&;+$;#@+++')$&%>$&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')$&%-$&&&&&&&*&&&&&&&;>$;#@+++')%&%-$&&&&&&&*",
"&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++&&&&&&&*&&&&&&&@>;&&&&&&&&&&;++&&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@>;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*&&&&&&&@-;&&&&&&&&&&;++;&&&&&&*",
"&&&&&&$=)&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-)&&&&&&&&&&&&$=!&&&&&&*&&&&&&$-#&,&&&&&&&&&&$-!&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-!&&&&&&,&&&&&;$-)&&&&&&&&&&&&$-!;&&&&&*&&&&&&$=)&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-)&&&&&&&&&&&&$=!&&&&&&*&&&&&&$-#&,&&&&&&&&&&$-!&&&&&&*&&&&&&$=#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-!&&&&&&,&&&&&;$-)&&&&&&&&&&&&$-!;&&&&&*&&&&&&$=)&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-)&&&&&&&&&&&&$=!&&&&&&*&&&&&&$-#&,&&&&&&&&&&$-!&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-!&&&&&&,&&&&&;$-)&&&&&&&&&&&&$-!;&&&&&*&&&&&&$=)&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-)&&&&&&&&&&&&$=!&&&&&&*&&&&&&$-#&,&&&&&&&&&&$-!&&&&&&*&&&&&&$=#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-)&&&&&&&&&&&&$-!&&&&&&,&&&&&;$-)&&&&&&&&&&&&$-!;&&&&&*&&&&&&$=)&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-)&&&&&&&&&&&&$=!&&&&&&*&&&&&&$-#&,&&&&&&&&&&$-!&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-!&&&&&&,&&&&&;$-)&&&&&&&&&&&&$-!;&&&&&*&&&&&&$=)&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-)&&&&&&&&&&&&$=!&&&&&&*&&&&&&$-#&,&&&&&&&&&&$-!&&&&&&*&&&&&&$=#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-)&&&&&&;&&&&&$-!&&&&&&,&&&&&;$-)&&&&&&&&&&&&$-!;&&&&&*&&&&&&$=)&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*&&&&&&$-)&&&&&&&&&&&&$-!&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-!&&&&&&*&&&&&&$-#&&&&&&&&&&&&$-#&&&&&&*",
"&&&&&&;)&&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!;&&&&&&*&&&&&&;);&&&&&&&&&&&&&#;&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&,&&&&&&;);&&&&&&&&&&&&&!%&&&&&&,&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&,&&&&&&;);&&&&&&&&&&&&&!%&&&&&&,&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&,&&&&&&;);&&&&&&,&&&&&&#%&&&&&&,&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&,&&&&&&;)&&&&&&&&&&&&&&!%&&&&&&,&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&,&&&&&&;);&&&&&&&&&&&&&!%&&&&&&,&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#;&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&,&&&&&&;);&&&&&&,&&&&&&!%&&&&&&,&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!;&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&!%&&&&&&*&&&&&&;);&&&&&&&&&&&&&#%&&&&&&*",
"&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&,&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&;&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&*"};

#ifdef __cplusplus
}
#endif				/* __cplusplus */
#endif				/* __GTK_KNOB_H__ */
